# Persian Speech-to-text


## Build docker image
```sh
docker build . -t rbehzadan/speech2text-fa:1.0.0
```

## Run docker container
```sh
docker run --rm --name speech2text-da -p 8000:8000 -it rbehzadan/speech2text-fa:1.0.0
```

## Testing

### With `curl`
```sh
curl -X POST "http://localhost:8000/transcribe" -H "accept: application/json" -H "Content-Type: multipart/form-data" -F "audio_file=@sample.wav"
```

### With `HTTPie`
```sh
http -f POST http://localhost:8000/transcribe audio_file@sample.wav
```
